<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class CreateCustomerRequest 
{
    public string $name;
    /** @var \Bushelpowered\Api\Crm\V1\Request\ContactInformationRequest[] $phones */
    public array $phones;
    /** @var \Bushelpowered\Api\Crm\V1\Request\ContactInformationRequest[] $emails */
    public array $emails;
    /** @var \Bushelpowered\Api\Crm\V1\Request\AddressRequest[] $addresses */
    public array $addresses;

    /**
     * @param  \Bushelpowered\Api\Crm\V1\Request\ContactInformationRequest[]  $phones 
     * @param  \Bushelpowered\Api\Crm\V1\Request\ContactInformationRequest[]  $emails 
     * @param  \Bushelpowered\Api\Crm\V1\Request\AddressRequest[]  $addresses 
     */
    public function __construct(string $name, array $phones, array $emails, array $addresses)
    {
        $this->name = $name;
        $this->phones = $phones;
        $this->emails = $emails;
        $this->addresses = $addresses;
    }
    

}