<?php
namespace Bushelpowered\Api\Fulfillment\Ticket\V1\Response;
        
class TicketSummaryResponse 
{
    public string $commodityCode;
    public int $ticketCount;
    public float $grossUnitSum;
    public string $grossUnitSumUom;
    public float $netUnitSum;
    public string $netUnitSumUom;
    public float $netWeightSum;
    public string $netWeightSumUom;
    /** @var \Bushelpowered\Api\Fulfillment\Ticket\V1\Response\RemarkResponse[] $remarkAverages */
    public array $remarkAverages;

    /**
     * @param  \Bushelpowered\Api\Fulfillment\Ticket\V1\Response\RemarkResponse[]  $remarkAverages 
     */
    public function __construct(string $commodityCode, int $ticketCount, float $grossUnitSum, string $grossUnitSumUom, float $netUnitSum, string $netUnitSumUom, float $netWeightSum, string $netWeightSumUom, array $remarkAverages)
    {
        $this->commodityCode = $commodityCode;
        $this->ticketCount = $ticketCount;
        $this->grossUnitSum = $grossUnitSum;
        $this->grossUnitSumUom = $grossUnitSumUom;
        $this->netUnitSum = $netUnitSum;
        $this->netUnitSumUom = $netUnitSumUom;
        $this->netWeightSum = $netWeightSum;
        $this->netWeightSumUom = $netWeightSumUom;
        $this->remarkAverages = $remarkAverages;
    }
    

}