<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class FutureStandard 
{
    public string $symbol;
    public string $contractDate;
    public string $change;
    public int $changeSign;
    public string $close;
    public ?string $settleUtcTime = null;
    public string $tradeSettle;
    public string $high;
    public string $last;
    public string $bid;
    public string $low;
    public string $open;
    public string $previous;

    /**
     */
    public function __construct(string $symbol, string $contractDate, string $change, int $changeSign, string $close, ?string $settleUtcTime, string $tradeSettle, string $high, string $last, string $bid, string $low, string $open, string $previous)
    {
        $this->symbol = $symbol;
        $this->contractDate = $contractDate;
        $this->change = $change;
        $this->changeSign = $changeSign;
        $this->close = $close;
        $this->settleUtcTime = $settleUtcTime;
        $this->tradeSettle = $tradeSettle;
        $this->high = $high;
        $this->last = $last;
        $this->bid = $bid;
        $this->low = $low;
        $this->open = $open;
        $this->previous = $previous;
    }
    

}